<?xml version="1.0" encoding="UTF-8"?>
<section version="5.0" xml:id="admin.mejb" xml:lang="en"
         xmlns="http://docbook.org/ns/docbook"
         xmlns:xlink="http://www.w3.org/1999/xlink"
         xmlns:xi="http://www.w3.org/2001/XInclude"
         xmlns:svg="http://www.w3.org/2000/svg"
         xmlns:mml="http://www.w3.org/1998/Math/MathML"
         xmlns:html="http://www.w3.org/1999/xhtml"
         xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <title>Management EJB Component</title>
  </info>

  <para>The MEJB is specified by the J2EE Management Specification which
  defines the J2EE Management Model.</para>

  <para>The MEJB component exposes the managed objects within the JOnAS
  platform as JMX manageable resources (MBeans). It is packed in an ejb-jar
  file installed in the JONAS_ROOT/deploy directory, and therefore it can be
  loaded at server start-up.</para>

  <para>The MEJB component is registered in JNDI under the name
  <code>ejb/mgmt/MEJB</code>.</para>

  <xi:include href="mejbaccess.xml" />
</section>
